import org.trinitydesktop.qt.*;

public class Tut2 extends TQObject {
	public static void main(String[] args) {
		TQApplication a = new TQApplication(args);
		TQPushButton quit = new TQPushButton("Quit", null);
		quit.resize( 75, 30 );
		quit.setFont(new TQFont("Times", 18, TQFont.Bold, false));

		connect(quit, TQ_SIGNAL("clicked()"), a, TQ_SLOT("quit()"));
		
		a.setMainWidget(quit);
		quit.show();
		a.exec();
	}
	
	static {
		try {
			Class c = Class.forName("org.trinitydesktop.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
